Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Attributes | List of all members
pdumodel::Nameplate Struct Reference

Component nameplate information. More...

## Classes
struct | Rating
| Component ratings. More...

## Public Attributes
string | manufacturer
| Component manufacturer.
string | brand
| Component brand.
string | model
| Component model.
string | partNumber
| Part number.
string | serialNumber
| Serial number.
Rating | rating
| Ratings.
string | imageFileURL
| URL to component image.

## Detailed Description

Component nameplate information.

Definition at line 23 of file Nameplate.idl.

## Member Data Documentation

## ◆ brand

string pdumodel::Nameplate::brand

Component brand.

Definition at line 33 of file Nameplate.idl.

## ◆ imageFileURL

string pdumodel::Nameplate::imageFileURL

URL to component image.

Definition at line 38 of file Nameplate.idl.

## ◆ manufacturer

string pdumodel::Nameplate::manufacturer

Component manufacturer.

Definition at line 32 of file Nameplate.idl.

## ◆ model

string pdumodel::Nameplate::model

Component model.

Definition at line 34 of file Nameplate.idl.

## ◆ partNumber

string pdumodel::Nameplate::partNumber

Part number.

Definition at line 35 of file Nameplate.idl.

## ◆ rating

Rating pdumodel::Nameplate::rating

Ratings.

Definition at line 37 of file Nameplate.idl.

## ◆ serialNumber

string pdumodel::Nameplate::serialNumber

Serial number.

Definition at line 36 of file Nameplate.idl.

The documentation for this struct was generated from the following file:

- Nameplate.idl